Bug 74226 - emacs should default to utf-8 encoding for utf-8 locales
emacs should default to utf-8 encoding for utf-8 locales
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-09-18 04:57 EDT by Jens Petersen
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-09 00:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2002-09-18 04:57:17 EDT
Description of Problem:
When Emacs is started in a locale that uses utf-8 encoding, it should
default to default to using utf-8 encoding for its buffers.

Version-Release number of selected component (if applicable):

How Reproducible:
every time

Steps to Reproduce:
1. LANG=en_US.utf-8 emacs

Actual Results:
Default encoding of buffers and files is latin-1 (iso8859-1).

Expected Results:
Default encoding should be utf-8, following the locale.

Additional Information:
(prefer-coding-system 'utf-8) can be used to make utf-8 the default
buffer/file encoding.  Of course this needs to be conditionalized on
a test that the locale is using a utf-8 encoding, particularly since
Emacs can currently handle CJK utf-8 afaik.
Comment 1 Jens Petersen 2002-10-30 18:23:03 EST
teg already fixed this. :-)

Note You need to log in before you can comment on or make changes to this bug.